﻿using FluentValidation;
using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels
{
    public class DirectorRequest : ApiRequest
    {
        public int ID { get; set; }
        
        public Nullable<int> AllotID { get; set; }
       
        public string TypeName { get; set; }

        public string JobTitle { get; set; }

        public Nullable<decimal> Value { get; set; }


        public class DirectorRequestValidator : AbstractValidator<DirectorRequest>
        {
            public DirectorRequestValidator()
            {
                RuleSet("Update", () =>
                {
                    RuleFor(x => x.ID).NotNull().GreaterThan(0);
                });

                RuleSet("Delete", () =>
                {
                    RuleFor(x => x.ID).NotNull().GreaterThan(0);
                });
            }
        }
    }
}
